## visad.data
Interface FormBlockReader

All Known Implementing Classes:
  LegacyTiffForm, LociForm

public interface FormBlockReader

FormBlockReader is the VisAD interface for reading in subsets of data, or "blocks," from a data file.

Method Summary
`void` `close()` Closes any open files.
`int` `getBlockCount(String id)` Determines the number of blocks in the given file.
`DataImpl` `open(String id, int block_number)` Obtains the specified block from the given file.

Method Detail

### open

    public DataImpl open(String id,
                         int block_number)
                  throws BadFormException,
                         IOException,
                         VisADException

  Obtains the specified block from the given file.

  Parameters:
    `id` - The file from which to load data blocks.
    `block_number` - The block number of the block to load.
  Throws:
    `VisADException` - If the block number is invalid.
    `BadFormException`
    `IOException`

### getBlockCount

    public int getBlockCount(String id)
                      throws BadFormException,
                             IOException,
                             VisADException

  Determines the number of blocks in the given file.

  Parameters:
    `id` - The file for which to get a block count.
  Throws:
    `BadFormException`
    `IOException`
    `VisADException`

### close

    public void close()
               throws BadFormException,
                      IOException,
                      VisADException

  Closes any open files.

  Throws:
    `BadFormException`
    `IOException`
    `VisADException`